Bug 138069 - packaged radeapclient is an internal build script
packaged radeapclient is an internal build script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 08:31 EST by Bryn Jones
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 06:07:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryn Jones 2004-11-04 08:31:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040924
Firefox/0.10.1

Description of problem:
the file packaged as /usr/bin/radeapclient is a build script, and not
the actual radeapclient, from the top of the script:

# radeapclient - temporary wrapper script for .libs/radeapclient
# Generated by ltmain.sh - GNU libtool 1.4.2 (1.922.2.54 2001/09/11
03:33:37)
#
# The radeapclient program cannot be directly executed until all the
libtool
# libraries that it depends on are installed.
#
# This wrapper script should never be moved out of the build directory.
# If it is, it will not operate correctly.

Running the script causes it to try and build radeapclient which
obviously fails as it's no longer in the build root.

Version-Release number of selected component (if applicable):
freeradius-1.0.1-0.FC2

How reproducible:
Always

Steps to Reproduce:
1. install freeradius rpm
2. look in /usr/bin/radeapclient


Actual Results:  file is a build shell script

Expected Results:  file should be a binary

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:16:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Thomas Woerner 2006-06-07 06:07:15 EDT
Fixed since freeradius-1.0.1-2 in FC-4.

Note You need to log in before you can comment on or make changes to this bug.